#include <iocslib.h>
#include "defines.h"

int putcg(_FNTBUF *fnt,unsint *moji)
/* １フォント表示 */
/* フォント大きさは１画面に納まる範囲内で任意 */
{
int x,y,wx,wwx,p=0;
int xy,xy1;
int cx,cy,tx,ty;
	tx=TWIDTH(&ty);
	wx=(fnt->xl+7)/8; /* 横バイト数 */
	cursor(&cx,&cy);  /* 最初の座標 */
	for (y=0;y<fnt->yl;y++) { /* 縦全ライン */
		wwx=fnt->xl; /* 横ドット数 */
		for (x=0;x<wx;x++) xy=putcg8(fnt->buffer[p++],moji,&wwx); /* 横１ライン表示 */
		if (y==0) xy1=xy;
		/* 改行処理（スクロール対応）＆カーソルホーム戻し */
		if ((xy&0xffff)==cy) { /* １行以内で１ライン表示/スクロールした */
			xy>>=INTSFT; /* ｘ座標 */
			if (xy>cx) cy=B_PUTC(xy==tx? 0x0d:0x0a)&0xffff;
		} else cy++;
		curx(cx);
	}
	return(xy1);
}
